import { r as registerInstance, h, H as Host } from './core-3f33e631.js';

const InputPrefix = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        /**
         * The ligature for the icon
         */
        this.icon = '';
    }
    render() {
        return h(Host, { class: { 'anjuna-icon': !!this.icon }, slot: "start" }, this.icon ? this.icon : undefined);
    }
    static get style() { return "anj-input-prefix {\n  color: var(--anj-neutral-dark);\n  pointer-events: none;\n}\nanj-input-prefix svg {\n  fill: currentColor;\n}"; }
};

export { InputPrefix as anj_input_prefix };
